curl --request POST \
--url https://api.example.com/utils/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule_name": "<string>",
"schedule": {
"type": "<string>",
"cron": "<string>",
"timezone": "UTC"
},
"reference_id": "<string>",
"config": {
"type": "<string>",
"topic": "<string>",
"extra_data": {}
},
"enabled": true
}
'import requests
url = "https://api.example.com/utils/schedules"
payload = {
"schedule_name": "<string>",
"schedule": {
"type": "<string>",
"cron": "<string>",
"timezone": "UTC"
},
"reference_id": "<string>",
"config": {
"type": "<string>",
"topic": "<string>",
"extra_data": {}
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule_name: '<string>',
schedule: {type: '<string>', cron: '<string>', timezone: 'UTC'},
reference_id: '<string>',
config: {type: '<string>', topic: '<string>', extra_data: {}},
enabled: true
})
};
fetch('https://api.example.com/utils/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule_id": "<string>"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Create a new schedule
Creates a new schedule for triggering workflows. The schedule can be either a cron-based recurring schedule or a one-time schedule. When triggered, notifications are published to the specified topic.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Request body for creating a schedule.
Unique human readable name for the schedule
Cron-based schedule configuration.
The cron expression is interpreted in the specified timezone. It will be converted to UTC for storage and execution.
- CronSchedule
- OneOffSchedule
Show child attributes
Show child attributes
Reference ID (e.g. workflow config ID) held in Data Readiness resources
Schedule configuration (currently only NOTIFICATION is supported)
Show child attributes
Show child attributes
Whether the schedule is ready to be triggered
Response
Successful Response
Response body for a newly created schedule.
ID of the created schedule
Was this page helpful?

